#
# spec file for package kup
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 John 'Warthog9' Hawley <warthog9@kernel.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kup
Summary:        Kernel.org Uploader
License:        GPL-2.0+
Group:          Development/Tools/Other
Version:        0.3.2
Release:        14.5
Url:            https://www.kernel.org/pub/software/network/kup/
Source0:        %{name}-%{version}.tar.gz

# Upstream First - Policy:
# Never add any patches to this package without the upstream commit id
# in the patch. Any patches added here without a very good reason to make
# an exception will be silently removed with the next version update.

%description
Kernel.org Uploader - meta package

%package client
Summary:        Kernel.org Uploader - Client pieces
Group:          Development/Tools/Other
Requires:       perl
Requires:       perl-Config-Simple

%description client
Kernel.org Uploader - Client pieces

%package server
Summary:        Kernel.org Uploader - Server pieces
Group:          Development/Tools/Other
Requires:       perl
Requires:       perl-BSD-Resource
Requires:       perl-Config-Simple
Requires:       perl(Git)

%description server
Kernel.org Uploader - Server pieces

%prep
%setup -q

%build
echo "Hello World!"

%install
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}-%{release}
%{__mkdir_p} $RPM_BUILD_ROOT%{_mandir}/man1
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__install} -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}
%{__install} -m 755 kup gpg-sign-all kup-server $RPM_BUILD_ROOT%{_bindir}
%{__install} -m 644 kup.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files client
%defattr(-,root,root,-)
%{_bindir}/kup
%doc README COPYING
%{_mandir}/man1/kup.1*

%files server
%defattr(-,root,root,-)
%{_bindir}/gpg-sign-all
%{_bindir}/kup-server
%doc README COPYING

%changelog
* Thu Feb 13 2014 jslaby@suse.com
- fix Requires
* Wed Dec 14 2011 gregkh@suse.com
- update to 0.3.2 release
* Mon Nov 28 2011 cfarrell@suse.com
- license update: GPL-2.0+
  SPDX format (http://www.spdx.org/licenses)
* Sat Nov 26 2011 gregkh@suse.de
- update to the 0.3.1 release
- fix up a bunch of rpmlint warnings in the spec file
- put a "proper" copyright description on the spec file
* Wed Nov 23 2011 gregkh@suse.com
- update to 0.3 release
* Wed Nov 16 2011 gregkh@suse.com
- some tweaks to the spec file to get it to build on SLE and Mandriva
* Tue Nov 15 2011 gregkh@suse.com
- adapted spec file to work properly in osc build environment
* Mon Oct 17 2011 John 'Warthog9' Hawley <warthog9@kernel.org>
- created spec file
